/*
 * @file
 * Styles for callout boxes.
 */


.callout-box {
  --callout-box-border-radius: var(--radius-sm);
  --callout-box-background: var(--theme-surface);
  --callout-box-heading-color: var(--theme-text-color-loud);
  --callout-box-body-color: var(--theme-text-color-soft);

  position: relative;
  display: flex;
  width: 100%;
  height: 100%;
  border: 1px solid var(--theme-border);
  border-radius: var(--callout-box-border-radius);
  background-color: var(--callout-box-background);
  box-shadow: 0 0 1rem 0 rgb(0 0 0 / 11%);
  padding: 1.5rem 1.875rem 2.25rem;
  margin-bottom: 1.5rem;

  &.callout-box--has-background {
    --callout-box-background: var(--theme-surface-alt);
    --callout-box-padding: var(--spacing-xs);
  }
}

.callout-box__content {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-xs);
  min-width: 0;
  width: 100%;
}

.callout-box__title[class] {
  margin: 0;
}

.callout-box__link {
  color: inherit;
  text-decoration: none;

  &:hover {
    color: var(--theme-link-color)
  }
}

.callout-box__body {
  --body-l-margin-block: var(--body-m-margin-block);
  --body-l-size: var(--body-m-size);
  --body-l-weight: var(--body-m-weight);
  --body-l-line-height: var(--body-m-line-height);
  --body-l-letter-spacing: var(--body-m-letter-spacing);
  --body-l-font-family: var(--body-m-font-family);

  min-width: 0;
  overflow-wrap: anywhere;
  word-break: break-word;
}

.callout-box__body a {
  overflow-wrap: anywhere;
  word-break: break-word;
}
